<?php

function test($server, $port)
{
    echo "$server:\n";

    $conn = @mysqli_connect($server, 'root', 'root', 'test', $port);
    while (!$conn) {
        sleep(1);
        $conn = @mysqli_connect($server, 'root', 'root', 'test', $port);
    }

    $conn->query('CREATE SCHEMA IF NOT EXISTS test;');
    $conn->query(
        'CREATE TABLE IF NOT EXISTS test.test_table (
            id INT AUTO_INCREMENT PRIMARY KEY,
            foo VARCHAR(255) NULL,
            bar INT NULL
        );'
    );

    $conn->query("INSERT INTO test.test_table (foo, bar) VALUES ('test', 1)");
    $conn->query("INSERT INTO test.test_table (foo, bar) VALUES ('test', null)");

    $stmt = $conn->prepare("SELECT * FROM test.test_table WHERE (bar = ? OR bar = 1);");

    $bar = null;
    $stmt->bind_param('i', $bar);

    $stmt->execute();
    $res = $stmt->get_result();

    if ($res) {
        $rows = $res->fetch_assoc();
        print_r($rows);
    } else {
        echo mysqli_errno($conn) . ': ' . mysqli_error($conn);
    }

    $stmt->close();
    $conn->close();

    echo PHP_EOL;
}

test('test-mysql', '3306'); // Works well
test('test-acra-server', '9393'); // Error
